package com.cool.store.request;

import com.cool.store.entity.OpenNewShopRecordDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * @author zhangchenbiao
 * @FileName: SubmitOpenNewShopRequest
 * @Description:
 * @date 2024-05-10 10:17
 */
@Data
public class SubmitOpenNewShopRequest {

    @ApiModelProperty(value = "线索id", required = true)
    private Long lineId;

    @NotNull
    @Min(1)@Max(10)
    @ApiModelProperty("新开意向店铺数量")
    private Integer newWantShopNum;

    @Max(99999)
    @ApiModelProperty("现有资金")
    private Integer fund;

    public OpenNewShopRecordDO convertDO(){
        OpenNewShopRecordDO result = new OpenNewShopRecordDO();
        result.setLineId(this.lineId);
        result.setNewWantShopNum(this.newWantShopNum);
        result.setFund(this.fund);
        return result;
    }


}
